<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-6">
      <div class="text-center">
        <h1>Winkel aanpassen</h1>
      </div>

      <div *ngIf="!loginCheck()">Log in</div>

      <form
        *ngIf="store && loginCheck()"
        #storeForm="ngForm"
        name="form"
        (ngSubmit)="storeForm.form.valid && onSubmit()"
        novalidate
      >
        <div class="form-group">
          <label for="name">Naam:</label>
          <input
            [(ngModel)]="store.name"
            name="name"
            id="name"
            #name="ngModel"
            class="form-control"
            type="text"
            required
          />
          <div
            *ngIf="name.invalid && (name.touched || storeForm.submitted)"
            class="alert alert-danger"
          >
            <div *ngIf="name.errors.required" id="nameInvalidMessage">
              Voer een naam in
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="emailAddress">E-mailadres:</label>
          <input
            [(ngModel)]="store.emailAddress"
            name="emailAddress"
            id="emailAddress"
            class="form-control"
            #emailAddress="ngModel"
            class="form-control"
            type="email"
            pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
          />
          <div
            *ngIf="emailAddress.invalid && emailAddress.touched"
            class="alert alert-danger"
          >
            <div *ngIf="emailAddress.errors.pattern">
              Voer een geldig email adres in
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="phoneNumber">Telefoonnummer:</label>
          <input
            [(ngModel)]="store.phoneNumber"
            name="phoneNumber"
            id="phoneNumber"
            #phoneNumber="ngModel"
            class="form-control"
            type="text"
            pattern="^(?=^.{10,11}$)0\d*-?\d*$"
          />
          <div
            *ngIf="phoneNumber.invalid && phoneNumber.touched"
            class="alert alert-danger"
          >
            <div *ngIf="phoneNumber.errors.pattern">
              Voer een geldig telefoonnummer in
            </div>
          </div>
        </div>
        <div class="form-group" *ngIf="store.address[0]">
          <label for="city">Stad:</label>
          <input
            [(ngModel)]="store.address[0].city"
            name="city"
            id="city"
            #city="ngModel"
            class="form-control"
            type="text"
            required
          />
          <div
            *ngIf="city.invalid && (city.touched || storeForm.submitted)"
            class="alert alert-danger"
            id="cityInvalidMessage"
          >
            <div *ngIf="city.errors.required">Voer een stad in</div>
          </div>
        </div>
        <div class="form-group" *ngIf="store.address[0]">
          <label for="street">Straat:</label>
          <input
            [(ngModel)]="store.address[0].street"
            name="street"
            id="street"
            #street="ngModel"
            class="form-control"
            type="text"
          />
        </div>
        <div class="form-group" *ngIf="store.address[0]">
          <label for="houseNumber">Huisnummer:</label>
          <input
            [(ngModel)]="store.address[0].houseNumber"
            name="houseNumber"
            id="houseNumber"
            #houseNumber="ngModel"
            class="form-control"
            type="text"
          />
        </div>
        <div class="form-group" *ngIf="store.address[0]">
          <label for="postalCode">Postcode:</label>
          <input
            [(ngModel)]="store.address[0].postalCode"
            name="postalCode"
            id="postalCode"
            #postalCode="ngModel"
            class="form-control"
            type="text"
            pattern="^[0-9]{4}[a-zA-Z]{2}$"
          />
          <div
            *ngIf="postalCode.invalid && postalCode.touched"
            class="alert alert-danger"
          >
            <div *ngIf="postalCode.errors.pattern">
              Voer een geldige postcode in
            </div>
          </div>
        </div>

        <button id="submitStore" type="submit" class="btn btn-medium btn-main">
          Aanpassen
        </button>
      </form>
    </div>
  </div>
</div>
